Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ConditionalExpressionTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface ConditionalExpressionTree
    extends ExpressionTree

A tree node for the conditional operator ? :. For example:

       condition ? trueExpression : falseExpression

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getCondition()` Returns the condition expression of this ternary expression.
`ExpressionTree` `getFalseExpression()` Returns the false part of this ternary expression.
`ExpressionTree` `getTrueExpression()` Returns the true part of this ternary expression.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

Returns the condition expression of this ternary expression.

Returns:
  the condition expression

#### getTrueExpression

    ExpressionTree getTrueExpression()

Returns the true part of this ternary expression.

Returns:
  the 'true' part expression

#### getFalseExpression

    ExpressionTree getFalseExpression()

Returns the false part of this ternary expression.

Returns:
  the 'false' part expression